Category Archives: apt-get

apt-get not working on xampp

I have a Windows 10 64-bit PC that runs a XAMPP instance, with a simple website and local MySQL server.

I need to install a few things on this Apache server via command line, so I'm going to the "shell" option from the Xampp control panel. But when I run the "apt-get" command, it says that there is no such thing.

Why don't I have it and how do I get it on this local server?

difference between apache2 and apache2-bin? [on hold]

Just wondering, I"m new to server setup. My digitalocean server is running Ubuntu 14.04, and I'm trying to install Apache.

When I just type in "apache2" to PuTTy, it says:

The program 'apache2' is currently not installed. You can install it by typing: 
sudo apt-get install apache2-bin

Yet on digitalocean's official tutorial, it says to install apache2 by using:

sudo apt-get install apache2

What's the difference? Will it function the same with either command? What will the differences be if not, and why would I choose one over the other?

Thanks!

Cann’t recover accidentally deleted squid directory in etc even after successful installed by apt-get

I am completely newbie to squid .

I have installed squid3 in my ubuntu systems previously. It had config file & other files in /etc/squid3 directory. But it did not have service in /etc/init.d/ . So my bad I un-installed(purge) from my system, and realized that in /etc i have still squid3 directory. And I deleted it manually.

Now while installing again by apt-get or aptitude, showing that it installed successful(also all dependency) . So I can found squid log directory in /var/log/ BUT it does not have anything in /etc/ . EVEN NO FOLDER in /etc/ So no config file.

Please assist me what to do. I am in a deep problem. I googled, no clue. :( Thanks in advance.

libapache2-mod-mono post-installation script returning error

I am trying to install the libapache2-mod-mono module so I can use Apache and Mono together but the package is stuck in continue loop of partial installation. I have tried to purge and remove it but the same script stops it. This is what my output looks like.

sudo apt-get install libapache2-mod-mono
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libapache2-mod-mono is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libapache2-mod-mono (3.8-0xamarin2+compat1) ...
Using mono-apache-server4...
dpkg: error processing package libapache2-mod-mono (--configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
libapache2-mod-mono
E: Sub-process /usr/bin/dpkg returned an error code (1)

What is going on?